dnl -------------------------------------------------------------------------
dnl  $Revision: 1.2 $
dnl  $Id: acsite.m4,v 1.2 1997/06/22 03:19:23 linas Exp $
dnl -------------------------------------------------------------------------

dnl -------------------------------------------------------------------------
dnl
dnl Macro: AC_FIND_DIR ( file, dir1 dir2 ... )
dnl
dnl Description:
dnl        This macro will try to automatically determine the path
dnl        to a requested file.  The file simply has to exist and
dnl        this macro does not test anything else.  It will prompt
dnl        the user if the library is not found until satisfied
dnl
dnl --------------------------------------------------------------------------

AC_DEFUN(AC_FIND_DIR, [
AC_MSG_CHECKING( for file $1 )
FOUNDDIR=""
TEMPDIR=""
for dir in $2 ; do
	if test -r $dir/$1 ; then
		FOUNDDIR=$dir
		break
	fi
done
while test -z "$FOUNDDIR" ; do
	AC_MSG_RESULT( not found )
	echo "What is the directory that contains the file $1 ? "
	read TEMPDIR
	AC_MSG_CHECKING( for $1 )
	if test -r $TEMPDIR/$1 ; then
		FOUNDDIR=$TEMPDIR
		break
	fi
done
AC_MSG_RESULT( found in $FOUNDDIR )
dnl
]) dnl
