/*
                           Copyright (C) 1995 
             John R.Callahan, Sudhakar Ramakrishnan, Sun Wei.
	         Web Integrated Software Project 
                   Management and Metrics Tool
                           (WISE)

WISE [both binary and source] (hereafter, Software) is 
copyrighted by John R.Callahan, Sudhakar Ramakrishnan , Sun Wei and 
ownership remains with the authors.

The authors grant you (hereafter, Licensee), a license to use the Software
for academic, research and internal business purposes only, without a
fee.  Licensee may distribute the binary to third parties providing 
that the copyright notice and this statement appears on all copies and
that no charge is associated with such copies. 

Licensee may make derivative works.  However, if Licensee distributes
any derivative work based on or derived from the Software, then
Licensee will (1) notify the authors regarding its distribution of 
the derivative work, and (2) clearly notify users that such derivative 
work is a modified version and not the original WISE tool distributed 
by the authors.

Any Licensee wishing to make commercial use of the Software should
contact the authors to negotiate an appropriate license for such
commercial use.  Commercial use includes (1) integration of all or
part of the source code into a product for sale or license by or on
behalf of licensee to third parties, or (2) distribution of the binary
code or source code to third parties that need it to utilize a
commercial product sold or licensed by or on behalf of Licensee.

THE AUTHORS MAKE NO REPRESENTATIONS ABOUT THE SUITABILITY OF THIS 
SOFTWARE FOR ANY PURPOSE.  IT IS PROVIDED "AS IS" WITHOUT EXPRESS OR 
IMPLIED WARRANTY.  THE AUTHORS SHALL NOT BE LIABLE FOR ANY DAMAGES
SUFFERED BY USERS OF THIS SOFTWARE.

By using or copying this Software, Licensee agrees to abide by the
copyright law and all other applicable laws of the U.S., including but
not limited, to, export control laws, and the terms of this license.
The authors shall have the right to terminate this license immediately by
written notice upon Licensee's breach of, or non-compliance with, any
of its terms.  Licensee may be held legally responsible for any
copyright infringement that is caused, directly or indirectly, by
Licensee's failure to abide by the terms of this license.

Direct notices to:
	
	John R.Callahan 
	886 Chestnut Ridge Road
	Concurrent Engineering Research Center
	West Virginia University
	Morgantown, WV 26505
	USA

	phone:	(304) 293-7226
	email:	callahan@cerc.wvu.edu
*/

%START STR
%o 5000
%a 5000
%p 5000
%%
^#[^\r\n]*				;
DATABASE				{ return DATABASE; }
HOST					{ return HOST; }
METRICS					{ return METRICS; }
PORT					{ return PORT; }
ORGANIZATION				{ return ORGANIZATION; }
IMAGE					{ return IMAGE; }
BACKGROUND				{ return BACKGROUND; }
ROOT					{ return ROOT; }
PROJECT					{ return PROJECT; }
TEXT					{ return TEXT; }
TEXTAREA				{ return TEXTAREA; }
DATE					{ return DATE; }
SELECT					{ return SELECT; }
RADIO					{ return RADIO; }
CHECKBOX				{ return CHECKBOX; }
HTML					{ return HTML; }
LABEL					{ return LABEL; }
LOG					{ return LOG; }
INT					{ return INT; }
PASSWD					{ return PASSWD; }
ROLE					{ return ROLE; }
TDL					{ return TDL; }
TDLVIEW					{ return TDLVIEW; }
VIEWACCESS				{ return VIEWACCESS; }
ISA					{ return ISA; }
ON					{ return ON; }
WHEN					{ return WHEN; }
SEES					{ return SEES; }
ALL					{ return ALL; }
FIELD					{ return FIELD; }
IS					{ return IS; }
HIDDEN					{ return HIDDEN; }
TO					{ return TO; }
HAS					{ return HAS; }
HAVE					{ return HAVE; }
NEWACCESS				{ return NEWACCESS; }
TDLACTION				{ return TDLACTION; }
VIEWACTION				{ return VIEWACTION; }
CAN					{ return CAN; }
CALL					{ return CALL; }
READONLY				{ return READONLY; }
READWRITE				{ return READWRITE; }
WRITEONLY				{ return WRITEONLY; }
NEWISSUE				{ return NEWISSUE; }
DELETEISSUE				{ return DELETEISSUE; }
SUBMITISSUE				{ return SUBMITISSUE; }
ACCESS					{ return ACCESS; }
AND                                     { return AND; }
OR                                      { return OR; }
LIKE                                    { return LIKE; }
\,					{ return yytext[0]; }
\=					{ return yytext[0]; }
\{					{ return yytext[0]; }
\}					{ return yytext[0]; }
\;					{ return yytext[0]; }
\"[^\"]*\"				{ int i;
					  for(i=0;i < yyleng-1;i++) yytext[i] = yytext[i+1]; yytext[yyleng-2] = '\0'; return STRING; }
"<>" |
">=" |
">" |
"<=" |
"<"                                     { return OPERATOR; }
0					{ return NUM; }
[1-9][0-9]*				{ return NUM; }
[^ \n\r\t\|\;\,\=][^ \n\r\t\|\;\,\=]*	{ return ID; }
[ \n\r\t]+				;
